## org.apache.axis.components.net
Class IBMFakeTrustSocketFactory

    java.lang.Object
      |
      +--org.apache.axis.components.net.DefaultSocketFactory
            |
            +--org.apache.axis.components.net.JSSESocketFactory
                  |
                  +--org.apache.axis.components.net.IBMJSSESocketFactory
                        |
                        +--org.apache.axis.components.net.IBMFakeTrustSocketFactory

All Implemented Interfaces:
  SecureSocketFactory, SocketFactory

public class IBMFakeTrustSocketFactory
extends IBMJSSESocketFactory

Hook for Axis sender, allowing unsigned server certs

Nested Class Summary
`static class` `IBMFakeTrustSocketFactory.FakeX509TrustManager` Class FakeX509TrustManager

Field Summary
`protected static org.apache.commons.logging.Log` `log` Field log

Fields inherited from class org.apache.axis.components.net.JSSESocketFactory
`sslFactory`

Fields inherited from class org.apache.axis.components.net.DefaultSocketFactory
`attributes`

Constructor Summary
`IBMFakeTrustSocketFactory(java.util.Hashtable attributes)` Constructor FakeTrustSocketFactory

Method Summary
`protected SSLContext` `getContext()` Method getContext

Methods inherited from class org.apache.axis.components.net.IBMJSSESocketFactory
`initFactory`

Methods inherited from class org.apache.axis.components.net.JSSESocketFactory
`create`

Methods inherited from class org.apache.axis.components.net.DefaultSocketFactory
`isHostInNonProxyList, match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.components.net.SocketFactory
`create`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Field log

Constructor Detail

### IBMFakeTrustSocketFactory

    public IBMFakeTrustSocketFactory(java.util.Hashtable attributes)

  Constructor FakeTrustSocketFactory

Parameters:
  `attributes` -

Method Detail

### getContext

    protected SSLContext getContext()
                             throws java.lang.Exception

  Method getContext

  Overrides:
    `getContext` in class `IBMJSSESocketFactory`
  Returns:
  Throws:
    `java.lang.Exception`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.